Bug 131193 - [UPDATE] misc/amanda-* to version 2.6.1
Summary: [UPDATE] misc/amanda-* to version 2.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jun Kuriyama
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-31 10:50 UTC by glz
Modified: 2009-02-05 05:29 UTC (History)
0 users

See Also:


Attachments
file.shar (62.05 KB, text/plain)
2009-01-31 10:50 UTC, glz
no flags Details
amanda-2.6.1.shar (41.90 KB, text/plain; charset=utf-8)
2009-01-31 11:43 UTC, glz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description glz 2009-01-31 10:50:04 UTC
Patches to current port of misc/amanda-server and misc/amanda-client to current stable from Amanda.

The patches changes the structure of the port, as I was unable to break i to a clean server and client port. Thus I have added a combined port, just named misc/amanda intended for the case when you want to have bot a server and a client installed on the same machine.

my personal feeling is that no repocopy of the 2.6.0 structure is required, as the 2.6.1 is a natural extension on the things added in 2.6.0 and no new incompatibles are added with this.

Fix: Patch attached with submission follows:
Comment 1 glz 2009-01-31 11:43:00 UTC
This is a second version of the port upgrade, where I keep the original 
format and only change the -server port to also install the client. Please 
use whatever version works best and gives the least grief to the users.

/glz

---
"There is hopeful symbolism in the fact that flags do not wave in a vacuum."
                -- Arthur C. Clarke
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2009-02-02 08:55:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer.
Comment 3 dfilter service freebsd_committer 2009-02-04 22:55:56 UTC
kuriyama    2009-02-04 22:55:46 UTC

  FreeBSD ports repository

  Modified files:
    misc/amanda-server   Makefile distinfo pkg-plist 
                         pkg-plist.client 
    misc/amanda-server/files extra-patch-sendbackup-dump.c 
                             patch-common-src::Makefile.in 
                             patch-man::Makefile.in 
                             patch-perl::Makefile.in 
    misc/amanda-client   Makefile 
  Removed files:
    misc/amanda-server/files patch-chg-zd-mtx.sh.in 
                             patch-server-src::amcleanup.sh 
  Log:
  - Upgrade to 2.6.1.
  - Turn on SSH auth by default.
  - Sorry, previous default path of $AMANDA_DATES was typo.  Fixed here
    it should be.  Please take care when upgrading.
  
  PR:     ports/131193 (partially merged to my update modifications) [1]
  Submitted by:   Goran Lowkrantz <glz@hidden-powers.com> [1]
  
  Revision  Changes    Path
  1.64      +0 -1      ports/misc/amanda-client/Makefile
  1.112     +65 -34    ports/misc/amanda-server/Makefile
  1.31      +3 -3      ports/misc/amanda-server/distinfo
  1.3       +7 -20     ports/misc/amanda-server/files/extra-patch-sendbackup-dump.c
  1.3       +0 -20     ports/misc/amanda-server/files/patch-chg-zd-mtx.sh.in (dead)
  1.2       +14 -13    ports/misc/amanda-server/files/patch-common-src::Makefile.in
  1.2       +8 -8      ports/misc/amanda-server/files/patch-man::Makefile.in
  1.2       +95 -15    ports/misc/amanda-server/files/patch-perl::Makefile.in
  1.2       +0 -11     ports/misc/amanda-server/files/patch-server-src::amcleanup.sh (dead)
  1.36      +25 -14    ports/misc/amanda-server/pkg-plist
  1.18      +74 -41    ports/misc/amanda-server/pkg-plist.client
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Jun Kuriyama freebsd_committer 2009-02-05 05:29:42 UTC
State Changed
From-To: open->closed

Committed, thanks!